#!/bin/bash
source ../../../skripte-bash/einstellungen.sh

index=0
declare -a tests
declare -a testTexts

#########################
# Name der Applikation #
#########################
appname=abfrpuffer

########################
#     Testroutinen     #
########################

tests[$index]="TestNachPruefSpez"
testTexts[$index]="Testet die SWE analog Pruefspezifikation"
index=$(($index+1))


########################
#      ClassPath       #
########################
cp="../../de.bsvrz.sys.funclib.bitctrl/de.bsvrz.sys.funclib.bitctrl-runtime.jar"
cp=$cp":../de.bsvrz.dua."$appname"-runtime.jar"
cp=$cp":../de.bsvrz.dua."$appname"-test.jar"
cp=$cp":../../junit-4.1.jar"

########################
#     Ausfuehrung      #
########################

for ((i=0; i < ${#tests[@]}; i++));
do
	java -cp $cp $jvmArgs org.junit.runner.JUnitCore "de.bsvrz.dua."$appname"."${tests[$i]}
done

